Bug 910121 - Review Request: nodejs-cookie - Cookie parsing and serialization for Node.js
Summary: Review Request: nodejs-cookie - Cookie parsing and serialization for Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 910148 910150
TreeView+ depends on / blocked
 
Reported: 2013-02-11 21:14 UTC by Jamie Nguyen
Modified: 2013-04-07 00:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-19 14:08:06 UTC
tchollingsworth: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-11 21:14:46 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/nodejs-cookie.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/SRPMS/nodejs-cookie-0.0.5-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This Node.js module is a basic cookie parser and serializer. It doesn't
make assumptions about how you are going to deal with your cookies. It
basically just provides a way to read and write the HTTP cookie headers.

See RFC6265 for details about the http header for cookies.

Comment 1 T.C. Hollingsworth 2013-02-12 05:56:12 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Status: APPROVED

===== TODO Post-Review =====

[!]: Please capitalize "http" in the last sentence of %description.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

MIT in git OK.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Node.js:
[x]: The package name is prefixed with "nodejs-" if it is a library
[x]: BuildRequires: nodejs-devel
[x]: Uses %{nodejs_sitelib} instead of hardcoding path
[x]: Uses tarball from the npm registry
[x]: If (and only if) this module is present in the npm registry, provides
     npm(<module_name>)
[x]: Runs %nodejs_symlink_deps in %install
[-]: Bundled modules are removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (cookie-0.0.5.tgz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: nodejs-cookie-0.0.5-1.fc19.noarch.rpm
          nodejs-cookie-0.0.5-1.fc19.src.rpm
nodejs-cookie.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-cookie.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-cookie.noarch: W: spelling-error %description -l en_US serializer -> serialize, serializes, serialized
nodejs-cookie.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-cookie.noarch: W: only-non-binary-in-usr-lib
nodejs-cookie.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-cookie.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-cookie.src: W: spelling-error %description -l en_US serializer -> serialize, serializes, serialized
nodejs-cookie.src: W: spelling-error %description -l en_US http -> HTTP
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

Please also capitalize the last instance of "http" in the description,
everything else is OK.

Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-cookie
nodejs-cookie.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-cookie.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-cookie.noarch: W: spelling-error %description -l en_US serializer -> serialize, serializes, serialized
nodejs-cookie.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-cookie.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'

See above.

Requires
--------
nodejs-cookie-0.0.5-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    nodejs(engine)

OK

Provides
--------
nodejs-cookie-0.0.5-1.fc19.noarch.rpm:
    
    nodejs-cookie = 0.0.5-1.fc19
    npm(cookie) = 0.0.5

OK

MD5-sum check
-------------
http://registry.npmjs.org/cookie/-/cookie-0.0.5.tgz :
  CHECKSUM(SHA256) this package     : 17938b21dcd85f09994b85484abb5aeddc4e92c61d1b599b764bbaaa7ad6adee
  CHECKSUM(SHA256) upstream package : 17938b21dcd85f09994b85484abb5aeddc4e92c61d1b599b764bbaaa7ad6adee


Generated by fedora-review 0.3.1 (f4bc12d) last change: 2012-10-16
Buildroot used: fedora-rawhide-vanilla-x86_64
Command line :./try-fedora-review -b910121

Comment 2 Jamie Nguyen 2013-02-12 21:36:46 UTC
Thanks for the review! :)


> [!]: Please capitalize "http" in the last sentence of %description.

Done.


Spec URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/nodejs-cookie.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs-buddycloud-http-api/SRPMS/nodejs-cookie-0.0.5-2.fc18.src.rpm

Comment 3 Jamie Nguyen 2013-02-12 21:37:35 UTC
New Package SCM Request
=======================
Package Name: nodejs-cookie
Short Description: Cookie parsing and serialization for Node.js
Owners: jamielinux
Branches: f18 el6
InitialCC:

Comment 4 T.C. Hollingsworth 2013-02-13 23:17:04 UTC
Looks like you forgot to raise the "fedora-cvs" flag.

Comment 5 Jamie Nguyen 2013-02-14 06:48:50 UTC
Damn, thanks!

Comment 6 Gwyn Ciesla 2013-02-14 15:00:13 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-02-14 22:36:58 UTC
nodejs-cookie-0.0.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-cookie-0.0.5-2.fc18

Comment 8 Fedora Update System 2013-02-16 00:55:52 UTC
nodejs-cookie-0.0.5-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-04-07 00:41:42 UTC
nodejs-cookie-0.0.5-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.